Name:		qt5ct
Version:	0.31
Release:	%mkrel 1
Summary:	Qt5 Configuration Tool
Group:		Graphical desktop/Other
License:	BSD
URL:		https://sourceforge.net/projects/qt5ct/
Source0:	http://downloads.sourceforge.net/qt5ct/%{name}-%{version}.tar.bz2
Patch0:		qt5ct-0.25-mga-set-QT_QPA_PLATFORMTHEME.patch
BuildRequires:	qttools5
BuildRequires:	qt5platformsupport-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libinput)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(xrender)

%description
qt5ct allows users to configure Qt5 settings (theme, font, icons, etc.) under
DE/WM without Qt integration.

%prep
%setup -q
%autopatch -p1

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# Copy translations files
install -d %{buildroot}%{_datadir}/%{name}/translations
install -m 644 src/%{name}/translations/*.qm %{buildroot}%{_datadir}/%{name}/translations/

%files
%doc AUTHORS ChangeLog README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_qt5_plugindir}/platformthemes/libqt5ct.so
%{_qt5_plugindir}/styles/libqt5ct-style.so
%config %{_sysconfdir}/profile.d/%{name}.*sh


%changelog
* Wed Apr 26 2017 akien <akien> 0.31-1.mga6
+ Revision: 1097574
- Version 0.31

* Fri Feb 10 2017 daviddavid <daviddavid> 0.30-1.mga6
+ Revision: 1085523
- new version: 0.30

* Thu Jan 26 2017 daviddavid <daviddavid> 0.29-1.mga6
+ Revision: 1083536
- new version: 0.29

* Thu Dec 15 2016 daviddavid <daviddavid> 0.27-3.mga6
+ Revision: 1075319
- add missing BRs on libinput and xkbcommon to fix build

* Thu Nov 17 2016 daviddavid <daviddavid> 0.27-2.mga6
+ Revision: 1068088
- add missing BR on pkgconfig(udev)

* Sat Sep 24 2016 daviddavid <daviddavid> 0.27-1.mga6
+ Revision: 1055660
- new version: 0.27

* Tue Sep 06 2016 daviddavid <daviddavid> 0.26-1.mga6
+ Revision: 1050272
- new version: 0.26
- remove merged upstream patch

* Tue Aug 16 2016 daviddavid <daviddavid> 0.25-1.mga6
+ Revision: 1046500
- new version: 0.25
- rename and redo completed_french_translation patch
- add patch to set the QT_QPA_PLATFORMTHEME environment variable

* Fri Jun 03 2016 daviddavid <daviddavid> 0.24-2.mga6
+ Revision: 1020141
- add a patch to complete french translation

* Thu Jun 02 2016 daviddavid <daviddavid> 0.24-1.mga6
+ Revision: 1020029
- initial package qt5ct

